const { join } = require('path');
const proxy = require('./proxy');
const slash = require('slash2');
const defaultSetting = require('./defaultSetting');
function resolve (dir) {
  return join(__dirname, '../', dir)
}
const { REACT_APP_ENV } = process.env;
module.exports = {
  base: '/civbase',
  title: '熊猫智慧城市监控管理解决方案',
  hash: true,
  layout: {
    siderWidth: '145px',
    locale: true,
    ...defaultSetting
  },
  fastRefresh: true,
  locale: {
    default: 'zh-CN',
    antd: true,
    baseNavigator: true,
  },
  dynamicImport: {
    loading: '@ant-design/pro-layout/es/PageLoading',
  },
  // theme: {
  //   '@primary-color': '#ff9600',
  // },
  ignoreMomentLocale: true,
  nodeModulesTransform: {
    type: 'none',
    exclude: [],
  },
  proxy: proxy[REACT_APP_ENV || 'dev'],
  // openAPI: {
  //   requestLibPath: "import { request } from '@wisdom-utils/utils'",
  //   schemaPath: 'http://192.168.10.150:8777/Publish/OMS/swagger/v1/swagger.json',
  //   mock: false,
  // },
  postcssLoader: {},
  styleLoader: {},
  cssLoader: {
    modules: {
      getLocalIdent: (context, _, localName) => {
        if (
          context.resourcePath.includes('node_modules') ||
          context.resourcePath.includes('ant.design.pro.less') ||
          context.resourcePath.includes('global.less')
        ) {
          return localName;
        }

        const match = context.resourcePath.match(/src(.*)/);

        if (match && match[1]) {
          const antdProPath = match[1].replace('.less', '');
          const arr = slash(antdProPath)
            .split('/')
            .map(a => a.replace(/([A-Z])/g, '-$1'))
            .map(a => a.toLowerCase());
          return `panda-pro${arr.join('-')}-${localName}`.replace(
            /--/g,
            '-',
          );
        }
        return localName;
      },
    },
  },
  esbuild: {}
};
